## org.gnu.gtk
Class BindingSet

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.gtk.BindingSet

public class BindingSet
extends MemStruct

Key bindings for individual widgets. TODO: Complete javadocs.

Constructor Summary
`BindingSet(java.lang.String setName)` Construct a new BindingSet.

Method Summary
`boolean` `activateBindings(int keyval, ModifierType modifier)`
`boolean` `activateBindings(KeySymbol keyval, ModifierType modifier)` Deprecated.
`boolean` `activateBindingSet(int keyval, ModifierType modifier)`
`boolean` `activateBindingSet(KeySymbol keyval, ModifierType modifier)` Deprecated.
`boolean` `activateEvent(EventKey event)` Looks up key bindings for this BindingSet to find one that matches `event`, and if one was found, activate it.
`void` `addPath(PathType pathType, java.lang.String pathPattern, PathPriorityType priority)`
`void` `clearEntry(int keyval, ModifierType modifier)` Clears a BindingSet entry.
`void` `clearEntry(KeySymbol keyval, ModifierType modifier)` Deprecated.
`static BindingSet` `findBindingSet(java.lang.String setName)` Finds a BindingSet object given the name.
`void` `removeEntry(int keyval, ModifierType modifier)` Removes an entry from the BindingSet
`void` `removeEntry(KeySymbol keyval, ModifierType modifier)` Deprecated.

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingSet

    public BindingSet(java.lang.String setName)

  Construct a new BindingSet.

Parameters:
  `setName` - The name of the BindingSet

Method Detail

### findBindingSet

    public static BindingSet findBindingSet(java.lang.String setName)

  Finds a BindingSet object given the name.

  Parameters:
    `setName` - The name of the BindingSet to find
  Returns:
    A BindingSet object

### activateBindings

    public boolean activateBindings(int keyval,
                                    ModifierType modifier)

  Parameters:
    `keyval` - The key value for the BindingSet (from `KeyValue`).
    `modifier` - The key modifier for the BindingSet
  Since:
    2.8.1

### activateBindings

    public boolean activateBindings(KeySymbol keyval,
                                    ModifierType modifier)

  Deprecated.

  Parameters:
    `keyval` - The key value for the BindingSet.
    `modifier` - The key modifier for the BindingSet
  See Also:
    `activateBindings(int, ModifierType)`

### activateBindingSet

    public boolean activateBindingSet(int keyval,
                                      ModifierType modifier)

  Parameters:
    `keyval` - The key value for the BindingSet.
    `modifier` - The key modifier for the BindingSet
  Since:
    2.8.1

### activateBindingSet

    public boolean activateBindingSet(KeySymbol keyval,
                                      ModifierType modifier)

  Deprecated.

  Parameters:
    `keyval` - The key value for the BindingSet.
    `modifier` - The key modifier for the BindingSet
  See Also:
    `activateBindingSet(int, ModifierType)`

### clearEntry

    public void clearEntry(int keyval,
                           ModifierType modifier)

  Clears a BindingSet entry.

  Parameters:
    `keyval` - The key value for the BindingSet.
    `modifier` - The key modifier for the BindingSet
  Since:
    2.8.1

### clearEntry

    public void clearEntry(KeySymbol keyval,
                           ModifierType modifier)

  Deprecated.

  Clears a BindingSet entry.

  Parameters:
    `keyval` - The key value for the BindingSet.
    `modifier` - The key modifier for the BindingSet
  See Also:
    `clearEntry(int, ModifierType)`

### addPath

    public void addPath(PathType pathType,
                        java.lang.String pathPattern,
                        PathPriorityType priority)

  Parameters:
    `pathType` -
    `pathPattern` -
    `priority` -

### activateEvent

    public boolean activateEvent(EventKey event)

  Looks up key bindings for this BindingSet to find one that matches `event`, and if one was found, activate it.

  Returns:
    TRUE if a matching key binding was found.

### removeEntry

    public void removeEntry(int keyval,
                            ModifierType modifier)

  Removes an entry from the BindingSet

  Parameters:
    `keyval` -
    `modifier` -
  Since:
    2.8.1

### removeEntry

    public void removeEntry(KeySymbol keyval,
                            ModifierType modifier)

  Deprecated.

  See Also:
    `removeEntry(int, ModifierType)`